#include "relaydialog.h"
#include "ui_relaydialog.h"

RelayDialog::RelayDialog(SR_HANDLE s, QWidget *parent) : QDialog(parent), ui(new Ui::RelayDialog)
  {
  srh = s;
  ui->setupUi(this);
  connect(ui->relayButton1, SIGNAL(toggled(bool)), this, SLOT(relayChange1(bool)));
  connect(ui->relayButton2, SIGNAL(toggled(bool)), this, SLOT(relayChange2(bool)));
  connect(ui->relayButton3, SIGNAL(toggled(bool)), this, SLOT(relayChange3(bool)));
  connect(ui->relayButton4, SIGNAL(toggled(bool)), this, SLOT(relayChange4(bool)));
  connect(ui->exitButton, SIGNAL(clicked()), this, SLOT(close()));
  setupDevice();
  }

RelayDialog::~RelayDialog()
  {
  delete ui;
  sr_close(srh);
  }

void RelayDialog::setupDevice()
  {
  sr_pin_setup(srh, 8, sr_pt_dout_low);
  sr_pin_setup(srh, 9, sr_pt_dout_low);
  sr_pin_setup(srh, 10, sr_pt_dout_low);
  sr_pin_setup(srh, 11, sr_pt_dout_low);
  }

void RelayDialog::relayChange1(bool checked)
  {
  sr_pin_set(srh, 8, checked);
  }

void RelayDialog::relayChange2(bool checked)
  {
  sr_pin_set(srh, 9, checked);
  }

void RelayDialog::relayChange3(bool checked)
  {
  sr_pin_set(srh, 10, checked);
  }

void RelayDialog::relayChange4(bool checked)
  {
  sr_pin_set(srh, 11, checked);
  }
